<?php
/**
 * Created by PhpStorm.
 * User: Skalden
 * Date: 8/20/2018
 * Time: 8:36 PM
 */

namespace App\Http\Controllers\Postman;

use App\Http\Controllers\Controller;
use App\Models\Activity;
use App\Models\Package;
use Illuminate\Http\Request;

class PackagesController extends Controller
{
    /**
     * List of packages
     * @return \Illuminate\Contracts\View\Factory|\Illuminate\View\View
     */
    public function packages_list()
    {
        $packages = Package::orderBy('id', 'DESC')->paginate(25);
        return view('pages.admin.packages.packages_list', ['packages' => $packages]);
    }

    /**
     * View or edit packages form
     * @param $package_id
     * @return \Illuminate\Contracts\View\Factory|\Illuminate\View\View
     */
    public function edit($package_id)
    {
        return view('pages.admin.packages.edit', ['package' => Package::find($package_id)]);
    }

    /**
     * Update information about the package
     * @param $package_id
     * @param Request $request
     * @return \Illuminate\Http\RedirectResponse
     */
    public function update($package_id, Request $request)
    {
        try {
            $package = Package::find($package_id);
            if ($package == null) throw new \Exception('Package not found.');
            $package->fill($request->all());
            $package->update();
        } catch (\Exception $ex) {
            Activity::appendLog("Ошибка обновления информации о посылке: ".$ex->getMessage(), Activity::ERROR);
            return redirect()->back()->with(['error' => $ex->getMessage()]);
        }

        Activity::appendLog('Информация о посылке успешно обновлена', Activity::SUCCESS);
        return redirect()->back()->with(['success' => 'Информация успешно обновлена.']);
    }
}