@extends("layouts.admin")

@section('content')
    <div class="page-header">
        <h3 class="page-title">
            Активность админ панели
        </h3>
        <nav aria-label="breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="#">Активность</a></li>
                <li class="breadcrumb-item active" aria-current="page">Список</li>
            </ol>
        </nav>
    </div>

    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    <table class="table table-hover table-striped">
                        <thead>
                        <tr>
                            <td>#</td>
                            <td>Пользователь</td>
                            <td>Статус</td>
                            <td>Причина</td>
                            <td>IP</td>
                            <td>Дата добавления</td>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($activities as $activity)
                            <tr>
                                <td>{{ $activity->id }}</td>
                                <td><a href="{{ route('userEdit', ['user_id' => $activity->user->id]) }}">{{ $activity->user->name ?? '' }}</a></td>
                                <td>{{ $activity->status }}</td>
                                <td>{{ $activity->comment }}</td>
                                <td>{{ $activity->ip }}</td>
                                <td>{{ $activity->created_at }}</td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>

    <div class="container">
        <div class="row justify-content-md-center">
            <div class="mt-4 mb-5 mx-auto d-block">
                {{ $activities->appends($_GET)->links() }}
            </div>
        </div>
    </div>
@endsection